resource "scaleway_vpc_public_gateway_ip" "foxhunt" {
  zone = var.zone
}

resource "scaleway_vpc_public_gateway" "foxhunt" {
  name            = "foxhunt-gw"
  type            = var.gateway_type
  zone            = var.zone
  bastion_enabled = var.bastion_enabled
  ip_id           = scaleway_vpc_public_gateway_ip.foxhunt.id
}

resource "scaleway_vpc_gateway_network" "foxhunt" {
  gateway_id         = scaleway_vpc_public_gateway.foxhunt.id
  private_network_id = var.private_network_id
  enable_masquerade  = true

  ipam_config {
    push_default_route = true
  }
}
